com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_TxRxCfg

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_TxRxCfg
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_TxRxCfg

-     public class STUHFL_T_ST25RU3993_TxRxCfg
      extends BR_ST25RU3993_TxRxCfg

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_TxRxCfg

      `BR_ST25RU3993_TxRxCfg.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `alternateAntennaInterval` < I/O Param: Antenna to be used
    `short` | `rfu` < I/O Param: Time in ms for alternating the antennas when alternating mode is used
    `byte` | `rxSensitivity` < I/O Param: Tx output level.
    `byte` | `txOutputLevel`
    `STUHFL_E.USED_ANTENNA` | `usedAntenna` < I/O Param: Rx sensitivity level.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_TxRxCfg()`
    `STUHFL_T_ST25RU3993_TxRxCfg(byte txOutputLevel, byte rxSensitivity, STUHFL_E.USED_ANTENNA usedAntenna, int alternateAntennaInterval, short rfu)`
    `STUHFL_T_ST25RU3993_TxRxCfg(STUHFL_T_ST25RU3993_TxRxCfg other)` < rfu

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set TxRx configuration
    `STUHFL_E.RET_CODE` | `fetch()` Get TxRx configuration
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_TxRxCfg

      `_Get_TxRxCfg, _Set_TxRxCfg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### txOutputLevel

          public byte txOutputLevel

    - #### rxSensitivity

          public byte rxSensitivity

      < I/O Param: Tx output level. See Modulator control register 3 for further info. Range [0db..-19db]

    - #### usedAntenna

          public STUHFL_E.USED_ANTENNA usedAntenna

      < I/O Param: Rx sensitivity level. Range [+17dB..-19dB]

    - #### alternateAntennaInterval

          public int alternateAntennaInterval

      < I/O Param: Antenna to be used

    - #### rfu

          public short rfu

      < I/O Param: Time in ms for alternating the antennas when alternating mode is used

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_TxRxCfg

          public STUHFL_T_ST25RU3993_TxRxCfg(STUHFL_T_ST25RU3993_TxRxCfg other)

      < rfu

    - #### STUHFL_T_ST25RU3993_TxRxCfg

          public STUHFL_T_ST25RU3993_TxRxCfg(byte txOutputLevel,
                                             byte rxSensitivity,
                                             STUHFL_E.USED_ANTENNA usedAntenna,
                                             int alternateAntennaInterval,
                                             short rfu)

    - #### STUHFL_T_ST25RU3993_TxRxCfg

          public STUHFL_T_ST25RU3993_TxRxCfg()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set TxRx configuration
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get TxRx configuration
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`